Subject: Re: cross compiler build fail (multiple definition of `fhandler_base::get_native_name(void)', and more)
From: Juergen Lock <[email-masked]>
To: [email-masked] (Mumit Khan)
Cc: [email-masked]
Date: Mon, 8 Feb 1999 21:57:18 +0100 (MET)

Mumit Khan writes:
> Juergen Lock <[email-masked]> writes:
> > Hello all!
[...]
> It's a good idea to browse/search the mailing list archives before asking
> for this type of information, and I suggest you do just that before 
> spending more time on this. I've posted detailed instructions on how to 
> do this to the list.
> 
> To search the list, visit:
> 
>   http://sourceware.cygnus.com/ml/cygwin/

I did try that but not hard enough i guess... (didn't come up with the
right search keywords)
> 
> For your particular problem:
> 
>   http://www.cygnus.com/ml/gnu-win32/1999-Jan/0572.html

 Thanx!  Do i need egcs, how is it better than the vanilla gcc that
comes with the dev-src.tar.bz2?  I didnt know about the CROSS directory,
did everything in the `root' directory (.../src) until now
(had to symlink Makefile.in from .. btw)
> 
> >  I have built gnu-win32 as a cross compiler on FreeBSD, and now while trying
> > to update from b17 to b20.1 i came across the following link problem:
> 
> You need to upgrade the development tools (compiler, binutils) tools as well.

 I have re-started from scratch in CROSS now but still got a link problem
(see below).

> Also, the target is i586-cygwin32, not i386-unknown-cygwin32; you need
> this for various reasons.

 Umm.  Does that mean the target machine cant be a 486?  or would
i486-cygwin32 also work?

 Thanx and cheers,
	Juergen  (still not subscribed it seems, or is the list
that low-volume?  i specified a different mail address (alias),
maybe thats the reason why it takes longer...)

----cut-here------
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/ld/ld-new --base-file=cygwin.base -s -o /dev/null --dll setjmp.o longjmp.o ../libiberty/random.o ../libiberty/strsignal.o regexp/regexp.o regexp/regerror.o regexp/regsub.o assert.o dcrt0.o debug.o delqueue.o dir.o dlfcn.o dll_init.o environ.o errno.o exceptions.o exec.o external.o fcntl.o fhandler.o fhandler_console.o fhandler_serial.o fhandler_tty.o fhandler_windows.o fork.o glob.o grp.o heap.o hinfo.o init.o ioctl.o malloc.o mmap.o net.o ntea.o passwd.o path.o pinfo.o pipe.o registry.o resource.o security.o select.o shared.o signal.o sigproc.o smallprint.o spawn.o strace.o strsep.o syscalls.o sysconf.o syslog.o termios.o times.o  tty.o uinfo.o uname.o wait.o window.o version.o libkernel32.a libuser32.a libgdi32.a libadvapi32.a libcomdlg32.a libnetapi32.a ../newlib/libm.a /www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a ../newlib/libc.a /www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a -e _dll_entry@12 --image-base=0x61000000
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a(tinfo2.o): In function `_tf16__func_type_info':
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/../../gcc/cp/tinfo2.cc(.text$__tf16__user_type_info+0x0): multiple definition of `__user_type_info type_info function'
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a(tinfo.o)(.text$__tf16__user_type_info+0x0):/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/../../gcc/cp/tinfo.cc: first defined here
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a(tinfo2.o): In function `_tf16__func_type_info':
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/../../gcc/cp/tinfo2.cc(.text$__tf9type_info+0x0): multiple definition of `type_info type_info function'
/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/libgcc.a(tinfo.o)(.text$__tf9type_info+0x0):/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/gcc/../../gcc/cp/tinfo.cc: first defined here
gmake[1]: *** [new-cygwin1.dll] Error 1
gmake[1]: Leaving directory `/www/usrw/home5/nox/Arch4/ports/devel/gnu-win32-20.1/work/gnu-win32/src/CROSS/i386-unknown-cygwin32/winsup'
gmake: *** [all-target-winsup] Error 2
*** Error code 2

Stop.
*** Error code 1

Stop.
*** Error code 1

Stop.

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]